{
  description = "Bennos Private Hugo Page";
  nixConfig = {
    bash-prompt = "\[gohugo\]$ ";
    
    # Enable submodules
    fetchSubmodules = true;
  };

  inputs = {
    nixpkgs.url = "github:nixos/nixpkgs?ref=nixos-unstable";
    flake-utils.url = "github:numtide/flake-utils";
    flake-compat = {
      url = "github:edolstra/flake-compat";
      inputs.nixpkgs.follows = "nixpkgs";
    };
  };

  outputs = { self, nixpkgs, flake-utils, ... }: 
    flake-utils.lib.eachDefaultSystem (system:
      let
        pkgs = import nixpkgs { inherit system; };
      in {
        devShells.default = pkgs.mkShell {
          buildInputs = [
            pkgs.hugo
            pkgs.nodejs_20
            pkgs.tailwindcss
          ];
          shellHook = ''
            echo "Hugo + Tailwind dev environment ready!"
            if [ -f package.json ]; then
              npm install
            fi
          '';
        };
      }
    );
}